Bug 1380416 - ghostscript: .libfile does not honor -dSAFER [fedora-all]
Summary: ghostscript: .libfile does not honor -dSAFER [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 24
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-7977
TreeView+ depends on / blocked
 
Reported: 2016-09-29 14:26 UTC by Adam Mariš
Modified: 2017-07-31 18:49 UTC (History)
3 users (show)

Fixed In Version: ghostscript-9.20-5.fc23 ghostscript-9.20-5.fc24 ghostscript-9.20-5.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 23:27:16 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-29 14:26:02 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-09-29 14:26:11 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1380415,1380416

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 David Kaspar [Dee'Kej] 2016-10-04 11:06:59 UTC
Security fix commited to dist-git, builds successful:
http://pkgs.fedoraproject.org/cgit/rpms/ghostscript.git/commit/?id=e40ca66c635bd

PLEASE NOTE: Because of lack of Koschei integration, there is currently issue preventing the ghostscript package to build correctly with OpenJPEG support. Therefore, the support for OpenJPEG for new ghostscript package has been disabled in order to deliver the security fix. I will be looking into the issue how to re-enable the OpenJPEG.

http://pkgs.fedoraproject.org/cgit/rpms/ghostscript.git/commit/?id=8cbe74c4f148e

Comment 3 Fedora Update System 2016-10-04 14:22:19 UTC
ghostscript-9.16-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94bdf707d4

Comment 4 Fedora Update System 2016-10-05 01:54:08 UTC
ghostscript-9.16-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e05e6d46df

Comment 5 Fedora Update System 2016-10-05 02:25:45 UTC
ghostscript-9.16-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96045ad97b

Comment 6 David Kaspar [Dee'Kej] 2016-11-01 14:30:45 UTC
Sorry everyone, I have screwed this one properly... :(

For some reason when solving the CVEs for ghostscript in Fedora, I got the feeling this CVE was already fixed in ghostscript-9.20 release.

Unfortunately, I was wrong.

I'm building the new package with the fix for this CVE right now, to fix this error of mine.

Comment 7 David Kaspar [Dee'Kej] 2016-11-01 15:52:13 UTC
Fixed in commit:
http://pkgs.fedoraproject.org/cgit/rpms/ghostscript.git/commit/?id=a890cdf30fa95

Comment 8 Fedora Update System 2016-11-01 16:01:41 UTC
ghostscript-9.20-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f2b66ed1

Comment 9 Fedora Update System 2016-11-01 16:03:34 UTC
ghostscript-9.20-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea1e4a487b

Comment 10 Fedora Update System 2016-11-01 16:04:19 UTC
ghostscript-9.20-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 11 Fedora Update System 2016-11-02 14:51:57 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62f2b66ed1

Comment 12 Fedora Update System 2016-11-03 18:30:12 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-05 03:31:15 UTC
ghostscript-9.20-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea1e4a487b

Comment 14 Fedora Update System 2016-11-05 03:49:04 UTC
ghostscript-9.20-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 15 Fedora Update System 2016-11-06 01:51:42 UTC
ghostscript-9.20-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7836241cd6

Comment 16 Fedora Update System 2016-11-07 23:27:16 UTC
ghostscript-9.20-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-11-19 21:07:30 UTC
ghostscript-9.20-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-11-24 08:24:26 UTC
ghostscript-9.20-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.